<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LocalServiceStructure StructType
 * Meta informations extracted from the WSDL
 * - documentation: Type for LOCAL SERVICE.
 * @subpackage Structs
 */
class LocalServiceStructure extends InstalledEquipmentStructure
{
    /**
     * The ValidityConditions
     * @var \StructType\ValidityConditionsStructure
     */
    public $ValidityConditions;
    /**
     * The FeatureRefs
     * @var \StructType\FeatureRefs
     */
    public $FeatureRefs;
    /**
     * The Extensions
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - ref: Extensions
     * @var \StructType\Extensions
     */
    public $Extensions;
    /**
     * Constructor method for LocalServiceStructure
     * @uses LocalServiceStructure::setValidityConditions()
     * @uses LocalServiceStructure::setFeatureRefs()
     * @uses LocalServiceStructure::setExtensions()
     * @param \StructType\ValidityConditionsStructure $validityConditions
     * @param \StructType\FeatureRefs $featureRefs
     * @param \StructType\Extensions $extensions
     */
    public function __construct(\StructType\ValidityConditionsStructure $validityConditions = null, \StructType\FeatureRefs $featureRefs = null, \StructType\Extensions $extensions = null)
    {
        $this
            ->setValidityConditions($validityConditions)
            ->setFeatureRefs($featureRefs)
            ->setExtensions($extensions);
    }
    /**
     * Get ValidityConditions value
     * @return \StructType\ValidityConditionsStructure|null
     */
    public function getValidityConditions()
    {
        return $this->ValidityConditions;
    }
    /**
     * Set ValidityConditions value
     * @param \StructType\ValidityConditionsStructure $validityConditions
     * @return \StructType\LocalServiceStructure
     */
    public function setValidityConditions(\StructType\ValidityConditionsStructure $validityConditions = null)
    {
        $this->ValidityConditions = $validityConditions;
        return $this;
    }
    /**
     * Get FeatureRefs value
     * @return \StructType\FeatureRefs|null
     */
    public function getFeatureRefs()
    {
        return $this->FeatureRefs;
    }
    /**
     * Set FeatureRefs value
     * @param \StructType\FeatureRefs $featureRefs
     * @return \StructType\LocalServiceStructure
     */
    public function setFeatureRefs(\StructType\FeatureRefs $featureRefs = null)
    {
        $this->FeatureRefs = $featureRefs;
        return $this;
    }
    /**
     * Get Extensions value
     * @return \StructType\Extensions|null
     */
    public function getExtensions()
    {
        return $this->Extensions;
    }
    /**
     * Set Extensions value
     * @param \StructType\Extensions $extensions
     * @return \StructType\LocalServiceStructure
     */
    public function setExtensions(\StructType\Extensions $extensions = null)
    {
        $this->Extensions = $extensions;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\LocalServiceStructure
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
